Bug 22667 - yppasswd creates DES passwords
yppasswd creates DES passwords
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: yp-tools (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
: Security
: 3243 22674 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-21 10:20 EST by Gerald Teschl
Modified: 2007-03-26 23:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-22 12:24:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2000-12-21 10:20:20 EST
yppasswd creates DES encrypted passwords even if md5 is set and even if
the old password was md5.
Comment 1 Bill Nottingham 2000-12-22 00:29:22 EST
*** Bug 22674 has been marked as a duplicate of this bug. ***
Comment 2 Gerald Teschl 2001-01-17 13:47:17 EST
Since the ordinary passwd does it right I recommend to remove yppasswd and
replace it
by a link to passwd.
Comment 3 Alexander Larsson 2002-03-21 10:44:36 EST
*** Bug 3243 has been marked as a duplicate of this bug. ***
Comment 4 Alexander Larsson 2002-03-22 12:24:52 EST
I think passwd may be broken actually. I think it looks at the local
configuration and uses md5 if it is used there. setting an md5 password on the
nis server may break login from non-md5 capable machines.

I agree that we should set a md5 password if the previous one is md5 though.
Comment 5 Alexander Larsson 2002-03-25 11:19:42 EST
yp-tools-2.6-4 sets a MD5 password if the old one was MD5. This is the best we
can do I think.
Comment 6 Doug Sibley 2003-09-15 08:52:53 EDT
When I try to add a new already crypted password in MD5 format $1$<salt>$<hash>
via useradd -p I get a blank entry in my nis shadow table. Certianly this is an
easy enough to fix bug.

Note You need to log in before you can comment on or make changes to this bug.